GET
/api/v1/workspaces/{workspace}/services/{service}/coverages
Operation ID: listCoverages
Authentication
Use one of the following authentication options. Permissions and workspace scope still apply. See authentication and access control.
-
Authorization: Bearer YOUR_ACCESS_TOKEN -
X-API-Key: YOUR_API_KEY
Parameters
-
workspacepath required -
Workspace ID
string -
servicepath required -
Service ID
string
Responses
200 Published coverages
Content type application/json
401 Authentication required or credential rejected
Content type application/json
403 Insufficient permission, disabled login, or invalid CSRF
Content type application/json
413 Request body exceeds the configured limit
Content type application/json
426 HTTPS required
Content type application/json
429 Request rate exceeded
Content type application/json
503 Service temporarily unavailable
Content type application/json
OpenAPI operation definition
{
"operationId": "listCoverages",
"parameters": [
{
"description": "Workspace ID",
"in": "path",
"name": "workspace",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Service ID",
"in": "path",
"name": "service",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CoverageList"
}
}
},
"description": "Published coverages"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Authentication required or credential rejected"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Insufficient permission, disabled login, or invalid CSRF"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Request body exceeds the configured limit"
},
"426": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "HTTPS required"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Request rate exceeded"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "Service temporarily unavailable"
}
},
"summary": "List coverages",
"tags": [
"Coverages"
]
}